
User Interface - Bug #2773

Bug # 2677 (New): fix drawing and functional differences between P2J GUI and 4GL GUI

simpler_alert_box.p fails in web GUI client

10/22/2015 02:25 PM - Greg Shah

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Sergey Ivanovskiy % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: GUI Support for a Complex ADM2 App   

billable: No case_num:  

vendor_id: GCD   

Description

Related issues:

Related to User Interface - Bug #2775: alert-box key processing is disabled w... Closed

Related to User Interface - Bug #2777: spaces are dropped at the end of the F... New

Related to User Interface - Bug #2776: mouse processing for alert-box does no... Closed

History

#1 - 10/22/2015 02:28 PM - Greg Shah

- File simpler_alert_box_broken_in_p2j_web_gui_20151022.png added

Run ./simpler_alert_box.p in the web GUI.  You get this:

 

It is unresponsive to key or mouse processing, however I think this is true for Swing too and is something to be fixed in #2770.

In this task, we need to fix the broken drawing.

#2 - 10/22/2015 02:49 PM - Hynek Cihlar

In Swing ALERT-BOX processes mouse and key ok. Can you post simpler_alert_box.p?
#3 - 10/22/2015 02:51 PM - Sergey Ivanovskiy

In Swing ALERT-BOX processes mouse and key ok. Can you post simpler_alert_box.p?

 

It needs to update testcases project.

#4 - 10/22/2015 02:53 PM - Greg Shah

It is checked into the testcases project.  But here is the code:

message "Hello World!" 

        update res as logical view-as alert-box information buttons yes-no.

message "Result =" res.

#5 - 10/22/2015 02:54 PM - Greg Shah

In Swing ALERT-BOX processes mouse and key ok.

 

In 11023 mouse works OK.  But keys do not.  Perhaps you have something in your build that is not checked in to 1811s?

#6 - 10/22/2015 02:56 PM - Sergey Ivanovskiy

There is this exception on the js side:

21:53:31.126 TypeError: fontTable[font] is undefined1 p2j.fonts.js:262:7

#7 - 10/22/2015 03:12 PM - Sergey Ivanovskiy

It seems that SPACE (32) key is eaten by some widgets on the java side.

#8 - 10/22/2015 03:13 PM - Hynek Cihlar

Greg Shah wrote:

In Swing ALERT-BOX processes mouse and key ok.
In 11023 mouse works OK.  But keys do not.  Perhaps you have something in your build that is not checked in to 1811s?

 

I double checked, I have all the changes in repo. Can you please check whether you can mouse drag the alert-box window around?

#9 - 10/22/2015 03:23 PM - Hynek Cihlar

Hynek Cihlar wrote:

Greg Shah wrote:

In Swing ALERT-BOX processes mouse and key ok.

 

In 11023 mouse works OK.  But keys do not.  Perhaps you have something in your build that is not checked in to 1811s?

 

I double checked, I have all the changes in repo. Can you please check whether you can mouse drag the alert-box window around?

 

Alright, mystery solved. The key input is really stuck when there is no main window. I always tested with main window on so I didn't see it. If you put

message "" as the first intruction or anything else that displays the main window, the key input will start work. I'm looking at it.

#10 - 10/22/2015 03:44 PM - Sergey Ivanovskiy

Constantin, could you help how to eliminate this message on the server side for ./simpler_alert_box.p

[10/22/2015 22:27:45 MSK] (com.goldencode.p2j.ui.FontTable:SEVERE) Text [txt2] has no legacy metrics with font

 [ms sans serif,8,false,false,false].

Can it lead to the font undefined error?

Now gd.getParagraphHeight is called from MessagePanel on doLayout

AlertBoxGuiImpl$MessagePanel.doLayout() line: 422    
AlertBoxGuiImpl.doLayout() line: 131    

AlertBoxGuiImpl(ModalWindow).show() line: 260    

AlertBoxGuiImpl.show() line: 170    

AlertBoxGuiImpl(AbstractWidget<O>).setVisible(boolean) line: 1053    

and it leads to the font undefined error on the JS side and gd.getParagraphHeight returns zero value.

         TopLevelWindow<?> defWindow = getOwner();

         gd.selectWindow(defWindow.getId().asInt());

         // determine message height

         int paragraphHeight = gd.getParagraphHeight(messageText, font, paragraphWidth);

         gd.releaseWindow();

Is it a correct usage of gd.getParagraphHeight(messageText, font, paragraphWidth);?

#11 - 10/22/2015 03:48 PM - Constantin Asofiei

Sergey Ivanovskiy wrote:

Constantin, could you help how to eliminate this message on the server side for ./simpler_alert_box.p

[...]

Can it lead to the font undefined error?

 

No, this is related to the legacy text metrics - if not found, it relies on the driver to measure the text.

Is it a correct usage of gd.getParagraphHeight(messageText, font, paragraphWidth);?

 

Yes, this should work.  Can you debug the font value (index + font name) passed to gd.getParagraphHeight and the font-table registered in

p2j.fonts.js?  The

fontTable[font] is undefined un JS-side means an invalid font or fontTable[font] does not exist.
#12 - 10/22/2015 04:10 PM - Hynek Cihlar

Hynek Cihlar wrote:

Alright, mystery solved. The key input is really stuck when there is no main window. I always tested with main window on so I didn't see it. If you

put message "" as the first intruction or anything else that displays the main window, the key input will start work. I'm looking at it.

 

This seems to be an issue on the Swing driver level. The Swing window doesn't receive any key input when its owner is not visible.

#13 - 10/22/2015 04:32 PM - Sergey Ivanovskiy

Please look at ./demo/demo_widgets.p. There is the definite issue with fill-in! SPACEs are accepted only in the middle of the text and can't be added

to the end! Attention!!! May be the SPACES are cut.

#14 - 10/22/2015 05:09 PM - Constantin Asofiei

Sergey Ivanovskiy wrote:

Please look at ./demo/demo_widgets.p. There is the definite issue with fill-in! SPACEs are accepted only in the middle of the text and can't be

added to the end! Attention!!! May be the SPACES are cut.

 

Is this something new or something you know it used to work? Because as I think this is a behavior which was "inherited" from ChUI, to right-trim the

text.

#15 - 10/22/2015 05:12 PM - Sergey Ivanovskiy

Constantin Asofiei wrote:

Sergey Ivanovskiy wrote:

Please look at ./demo/demo_widgets.p. There is the definite issue with fill-in! SPACEs are accepted only in the middle of the text and can't

be added to the end! Attention!!! May be the SPACES are cut.

 

Is this something new or something you know it used to work? Because as I think this is a behavior which was "inherited" from ChUI, to right-trim

the text.

 

No, I haven't noticed this behaviour before.
#16 - 10/22/2015 05:55 PM - Greg Shah

I'm separating the missing key events in Swing issue into #2775.

#17 - 10/22/2015 05:56 PM - Greg Shah

Sergey Ivanovskiy wrote:

Constantin Asofiei wrote:

Sergey Ivanovskiy wrote:

Please look at ./demo/demo_widgets.p. There is the definite issue with fill-in! SPACEs are accepted only in the middle of the text and

can't be added to the end! Attention!!! May be the SPACES are cut.

 

Is this something new or something you know it used to work? Because as I think this is a behavior which was "inherited" from ChUI, to

right-trim the text.

 

No, I haven't noticed this behaviour before.

 

Sergey: what does Progress GUI do in this same situation?  Does it keep trailing spaces?

#18 - 10/23/2015 02:44 AM - Sergey Ivanovskiy

Greg Shah wrote:

Sergey Ivanovskiy wrote:

Constantin Asofiei wrote:

Sergey Ivanovskiy wrote:

Please look at ./demo/demo_widgets.p. There is the definite issue with fill-in! SPACEs are accepted only in the middle of the text

and can't be added to the end! Attention!!! May be the SPACES are cut.

 

Is this something new or something you know it used to work? Because as I think this is a behavior which was "inherited" from ChUI,

to right-trim the text.
No, I haven't noticed this behaviour before.

 

Sergey: what does Progress GUI do in this same situation?  Does it keep trailing spaces?

 

I have checked it on windev01 for demo_widgets.p, the "fill-in" field accepts spaces at the end. I think it is a regression in our code and it happens

recently. I worked with keyboards, and if it had been present, then I would notice it before deadline.

#19 - 10/23/2015 04:14 AM - Sergey Ivanovskiy

Constantin Asofiei wrote:

Sergey Ivanovskiy wrote:

Constantin, could you help how to eliminate this message on the server side for ./simpler_alert_box.p

[...]

Can it lead to the font undefined error?

 

No, this is related to the legacy text metrics - if not found, it relies on the driver to measure the text.

Is it a correct usage of gd.getParagraphHeight(messageText, font, paragraphWidth);?

 

Yes, this should work.  Can you debug the font value (index + font name) passed to gd.getParagraphHeight and the font-table registered in

p2j.fonts.js?  The

fontTable[font] is undefined un JS-side means an invalid font or fontTable[font] does not exist.

 

The application tried to get font 0 and font 62 but there were only available these fonts:

getFontHeight for font = 0 p2j.fonts.js:262:7

11:08:29.331 key = 1 p2j.fonts.js:269:16

11:08:29.332 val = {"name":"MS Sans Serif","size":8,"bold":false,"italic":false,"underline":false,"font":"8pt 

'MS Sans Serif'","height":12,"widths":[13,13,13,13,13,13,13,13,13,3,3,3,3,3,13,13,13,13,13,13,13,13,13,13,13,1

3,13,13,13,13,13,13,3,4,5,9,7,10,10,3,4,4,5,9,3,4,3,4,7,7,7,7,7,7,7,7,7,7,4,4,9,9,9,6,11,8,8,8,9,8,7,9,9,4,4,8

,7,11,9,9,7,9,8,7,7,9,8,11,8,7,7,4,4,4,9,5,5,6,7,6,7,6,4,7,7,3,3,6,3,10,7,6,7,7,5,5,4,7,6,9,6,6,6,7,4,7,9,13,1

3,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,3,4,7,7,7,7,4,5

,5,11,5,7,9,0,11,5,5,9,4,4,5,7,7,3,5,4,5,7,10,10,10,6,8,8,8,8,8,8,11,8,8,8,8,8,4,4,4,4,9,9,9,9,9,9,9,9,9,9,9,9

,9,7,7,7,6,6,6,6,6,6,10,6,6,6,6,6,3,3,3,3,6,7,6,6,6,6,6,9,6,7,7,7,7,6,7,6],"maxWidth":13} p2j.fonts.js:270:16

11:08:29.333 key = 2 p2j.fonts.js:269:16

11:08:29.334 val = {"name":"Courier New","size":8,"bold":false,"italic":false,"underline":false,"font":"8pt 'C

ourier New'","height":12,"widths":[13,13,13,13,13,13,13,13,13,6,6,6,6,6,13,13,13,13,13,13,13,13,13,13,13,13,13

,13,13,13,13,13,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,

6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,13,13,13,13,13

,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,6,6,6,6,6,6,6,6,6,6,6,6,6

,0,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6

,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6],"maxWidth":13} p2j.fonts.js:270:16
11:08:29.334 key = 3 p2j.fonts.js:269:16

11:08:29.335 val = {"name":"Tahoma","size":8,"bold":false,"italic":false,"underline":false,"font":"8pt 'Tahoma

'","height":12,"widths":[13,13,13,13,13,13,13,13,13,3,3,3,3,3,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,

13,13,3,4,5,9,7,10,10,3,4,4,5,9,3,4,3,4,7,7,7,7,7,7,7,7,7,7,4,4,9,9,9,6,11,8,8,8,9,8,7,9,9,4,4,8,7,11,9,9,7,9,

8,7,7,9,8,11,8,7,7,4,4,4,9,5,5,6,7,6,7,6,4,7,7,3,3,6,3,10,7,6,7,7,5,5,4,7,6,9,6,6,6,7,4,7,9,13,13,13,13,13,13,

13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,3,4,7,7,7,7,4,5,5,11,5,7,9,0,

11,5,5,9,4,4,5,7,7,3,5,4,5,7,10,10,10,6,8,8,8,8,8,8,11,8,8,8,8,8,4,4,4,4,9,9,9,9,9,9,9,9,9,9,9,9,9,7,7,7,6,6,6

,6,6,6,10,6,6,6,6,6,3,3,3,3,6,7,6,6,6,6,6,9,6,7,7,7,7,6,7,6],"maxWidth":13} p2j.fonts.js:270:16

11:08:29.335 key = 4 p2j.fonts.js:269:16

11:08:29.336 val = {"name":"MS Sans Serif","size":10,"bold":false,"italic":false,"underline":false,"font":"10p

t 'MS Sans Serif'","height":15,"widths":[13,13,13,13,13,13,13,13,13,4,4,4,4,4,13,13,13,13,13,13,13,13,13,13,13

,13,13,13,13,13,13,13,4,4,5,7,7,12,9,3,4,4,5,8,4,4,4,4,7,7,7,7,7,7,7,7,7,7,4,4,8,8,8,7,14,9,9,10,10,9,8,10,10,

4,7,9,7,11,10,10,9,10,10,9,8,10,9,13,9,9,8,4,4,4,6,7,4,7,7,7,7,7,4,7,7,3,3,7,3,11,7,7,7,7,4,7,4,7,7,10,7,7,7,4

,3,4,8,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,4,4,

7,7,7,7,3,7,4,10,5,7,8,0,10,7,5,8,4,4,4,7,7,4,4,4,5,7,11,11,11,7,9,9,9,9,9,9,13,10,9,9,9,9,4,4,4,4,10,10,10,10

,10,10,10,8,10,10,10,10,10,9,9,8,7,7,7,7,7,7,12,7,7,7,7,7,3,3,3,3,7,7,7,7,7,7,7,8,7,7,7,7,7,7,7,7],"maxWidth":

14} p2j.fonts.js:270:16

11:08:29.337 key = 5 p2j.fonts.js:269:16

11:08:29.338 val = {"name":"MS Sans Serif","size":8,"bold":true,"italic":false,"underline":false,"font":"bold 

8pt 'MS Sans Serif'","height":13,"widths":[13,13,13,13,13,13,13,13,13,3,3,3,3,3,13,13,13,13,13,13,13,13,13,13,

13,13,13,13,13,13,13,13,3,3,4,6,6,9,7,2,4,4,4,6,3,4,3,3,6,6,6,6,6,6,6,6,6,6,3,3,6,6,6,6,11,7,7,8,8,7,7,8,8,3,5

,7,6,9,8,8,7,8,8,7,7,8,7,10,7,7,7,3,3,3,5,6,4,6,6,5,6,6,3,6,6,2,2,5,2,9,6,6,6,6,4,5,3,6,5,8,5,5,5,4,3,4,6,13,1

3,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,3,3,6,6,6,6,3,6

,4,8,4,6,6,0,8,5,4,6,4,4,4,6,6,3,4,4,4,6,9,9,9,6,7,7,7,7,7,7,11,8,7,7,7,7,3,3,3,3,8,8,8,8,8,8,8,6,8,8,8,8,8,7,

7,7,6,6,6,6,6,6,9,5,6,6,6,6,2,2,2,2,6,6,6,6,6,6,6,6,6,6,6,6,6,5,6,5],"maxWidth":13} p2j.fonts.js:270:16

11:08:29.338 key = -1 p2j.fonts.js:269:16

11:08:29.339 val = {"name":"sans-serif","size":8,"bold":true,"italic":false,"underline":false,"font":"bold 8pt

 'sans-serif'","height":12,"widths":[13,13,13,13,13,13,13,13,13,4,4,4,4,4,13,13,13,13,13,13,13,13,13,13,13,13,

13,13,13,13,13,13,4,5,6,9,7,11,9,3,5,5,6,9,4,4,4,4,7,7,7,7,7,7,7,7,7,7,4,4,9,9,9,6,11,8,8,8,9,7,7,9,9,4,4,8,7,

11,9,9,8,9,8,8,7,9,8,12,8,8,8,5,4,5,9,5,5,7,8,6,8,7,5,8,8,4,4,7,4,11,8,7,8,8,5,6,5,8,7,10,7,7,6,8,4,8,9,13,13,

13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,4,5,7,7,7,7,4,5,5

,11,6,7,9,0,11,5,5,9,5,5,5,8,7,4,5,5,6,7,11,11,11,6,8,8,8,8,8,8,12,8,7,7,7,7,4,4,4,4,9,9,9,9,9,9,9,9,9,9,9,9,9

,8,8,8,7,7,7,7,7,7,11,6,7,7,7,7,4,4,4,4,7,8,7,7,7,7,7,9,7,8,8,8,8,7,8,7],"maxWidth":13} p2j.fonts.js:270:16

11:08:29.339 TypeError: fontTable[font] is undefined p2j.fonts.js:274:7

11:08:39.440 resize width = 296 height = 144 p2j.screen.js:589:7

11:08:39.916 txt = 1 font = 62 p2j.screen.js:2029:7

11:08:39.916 getFontHeight for font = 62 p2j.fonts.js:262:7

11:08:39.917 key = 1 p2j.fonts.js:269:16

11:08:39.917 val = {"name":"MS Sans Serif","size":8,"bold":false,"italic":false,"underline":false,"font":"8pt 

'MS Sans Serif'","height":12,"widths":[13,13,13,13,13,13,13,13,13,3,3,3,3,3,13,13,13,13,13,13,13,13,13,13,13,1

3,13,13,13,13,13,13,3,4,5,9,7,10,10,3,4,4,5,9,3,4,3,4,7,7,7,7,7,7,7,7,7,7,4,4,9,9,9,6,11,8,8,8,9,8,7,9,9,4,4,8

,7,11,9,9,7,9,8,7,7,9,8,11,8,7,7,4,4,4,9,5,5,6,7,6,7,6,4,7,7,3,3,6,3,10,7,6,7,7,5,5,4,7,6,9,6,6,6,7,4,7,9,13,1

3,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,3,4,7,7,7,7,4,5

,5,11,5,7,9,0,11,5,5,9,4,4,5,7,7,3,5,4,5,7,10,10,10,6,8,8,8,8,8,8,11,8,8,8,8,8,4,4,4,4,9,9,9,9,9,9,9,9,9,9,9,9

,9,7,7,7,6,6,6,6,6,6,10,6,6,6,6,6,3,3,3,3,6,7,6,6,6,6,6,9,6,7,7,7,7,6,7,6],"maxWidth":13} p2j.fonts.js:270:16

11:08:39.918 key = 2 p2j.fonts.js:269:16

11:08:39.918 val = {"name":"Courier New","size":8,"bold":false,"italic":false,"underline":false,"font":"8pt 'C

ourier New'","height":12,"widths":[13,13,13,13,13,13,13,13,13,6,6,6,6,6,13,13,13,13,13,13,13,13,13,13,13,13,13

,13,13,13,13,13,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,

6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,13,13,13,13,13

,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,6,6,6,6,6,6,6,6,6,6,6,6,6

,0,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6

,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6],"maxWidth":13} p2j.fonts.js:270:16

11:08:39.919 key = 3 p2j.fonts.js:269:16

11:08:39.919 val = {"name":"Tahoma","size":8,"bold":false,"italic":false,"underline":false,"font":"8pt 'Tahoma

'","height":12,"widths":[13,13,13,13,13,13,13,13,13,3,3,3,3,3,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,

13,13,3,4,5,9,7,10,10,3,4,4,5,9,3,4,3,4,7,7,7,7,7,7,7,7,7,7,4,4,9,9,9,6,11,8,8,8,9,8,7,9,9,4,4,8,7,11,9,9,7,9,

8,7,7,9,8,11,8,7,7,4,4,4,9,5,5,6,7,6,7,6,4,7,7,3,3,6,3,10,7,6,7,7,5,5,4,7,6,9,6,6,6,7,4,7,9,13,13,13,13,13,13,

13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,3,4,7,7,7,7,4,5,5,11,5,7,9,0,

11,5,5,9,4,4,5,7,7,3,5,4,5,7,10,10,10,6,8,8,8,8,8,8,11,8,8,8,8,8,4,4,4,4,9,9,9,9,9,9,9,9,9,9,9,9,9,7,7,7,6,6,6

,6,6,6,10,6,6,6,6,6,3,3,3,3,6,7,6,6,6,6,6,9,6,7,7,7,7,6,7,6],"maxWidth":13} p2j.fonts.js:270:16

11:08:39.920 key = 4 p2j.fonts.js:269:16

11:08:39.920 val = {"name":"MS Sans Serif","size":10,"bold":false,"italic":false,"underline":false,"font":"10p

t 'MS Sans Serif'","height":15,"widths":[13,13,13,13,13,13,13,13,13,4,4,4,4,4,13,13,13,13,13,13,13,13,13,13,13

,13,13,13,13,13,13,13,4,4,5,7,7,12,9,3,4,4,5,8,4,4,4,4,7,7,7,7,7,7,7,7,7,7,4,4,8,8,8,7,14,9,9,10,10,9,8,10,10,

4,7,9,7,11,10,10,9,10,10,9,8,10,9,13,9,9,8,4,4,4,6,7,4,7,7,7,7,7,4,7,7,3,3,7,3,11,7,7,7,7,4,7,4,7,7,10,7,7,7,4

,3,4,8,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,4,4,

7,7,7,7,3,7,4,10,5,7,8,0,10,7,5,8,4,4,4,7,7,4,4,4,5,7,11,11,11,7,9,9,9,9,9,9,13,10,9,9,9,9,4,4,4,4,10,10,10,10

,10,10,10,8,10,10,10,10,10,9,9,8,7,7,7,7,7,7,12,7,7,7,7,7,3,3,3,3,7,7,7,7,7,7,7,8,7,7,7,7,7,7,7,7],"maxWidth":

14} p2j.fonts.js:270:16

11:08:39.920 key = 5 p2j.fonts.js:269:16

11:08:39.921 val = {"name":"MS Sans Serif","size":8,"bold":true,"italic":false,"underline":false,"font":"bold 

8pt 'MS Sans Serif'","height":13,"widths":[13,13,13,13,13,13,13,13,13,3,3,3,3,3,13,13,13,13,13,13,13,13,13,13,

13,13,13,13,13,13,13,13,3,3,4,6,6,9,7,2,4,4,4,6,3,4,3,3,6,6,6,6,6,6,6,6,6,6,3,3,6,6,6,6,11,7,7,8,8,7,7,8,8,3,5

,7,6,9,8,8,7,8,8,7,7,8,7,10,7,7,7,3,3,3,5,6,4,6,6,5,6,6,3,6,6,2,2,5,2,9,6,6,6,6,4,5,3,6,5,8,5,5,5,4,3,4,6,13,1
3,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,3,3,6,6,6,6,3,6

,4,8,4,6,6,0,8,5,4,6,4,4,4,6,6,3,4,4,4,6,9,9,9,6,7,7,7,7,7,7,11,8,7,7,7,7,3,3,3,3,8,8,8,8,8,8,8,6,8,8,8,8,8,7,

7,7,6,6,6,6,6,6,9,5,6,6,6,6,2,2,2,2,6,6,6,6,6,6,6,6,6,6,6,6,6,5,6,5],"maxWidth":13} p2j.fonts.js:270:16

11:08:39.921 key = -1 p2j.fonts.js:269:16

11:08:39.922 val = {"name":"sans-serif","size":8,"bold":true,"italic":false,"underline":false,"font":"bold 8pt

 'sans-serif'","height":12,"widths":[13,13,13,13,13,13,13,13,13,4,4,4,4,4,13,13,13,13,13,13,13,13,13,13,13,13,

13,13,13,13,13,13,4,5,6,9,7,11,9,3,5,5,6,9,4,4,4,4,7,7,7,7,7,7,7,7,7,7,4,4,9,9,9,6,11,8,8,8,9,7,7,9,9,4,4,8,7,

11,9,9,8,9,8,8,7,9,8,12,8,8,8,5,4,5,9,5,5,7,8,6,8,7,5,8,8,4,4,7,4,11,8,7,8,8,5,6,5,8,7,10,7,7,6,8,4,8,9,13,13,

13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,4,5,7,7,7,7,4,5,5

,11,6,7,9,0,11,5,5,9,5,5,5,8,7,4,5,5,6,7,11,11,11,6,8,8,8,8,8,8,12,8,7,7,7,7,4,4,4,4,9,9,9,9,9,9,9,9,9,9,9,9,9

,8,8,8,7,7,7,7,7,7,11,6,7,7,7,7,4,4,4,4,7,8,7,7,7,7,7,9,7,8,8,8,8,7,8,7],"maxWidth":13} p2j.fonts.js:270:16

11:08:39.922 TypeError: fontTable[font] is undefined

What could it mean? (The font 0 and 62 aren't registered)

#20 - 10/23/2015 04:20 AM - Constantin Asofiei

Sergey, fontTable in p2j.fonts.js should be an associative array - with keys both numbers and texts.  In p2j.fonts.js:createFont, fontTable uses as keys

both the font ID (key is numeric, the value is where font details are saved) and the font-key (which is a string key and refers to the font ID).  Maybe

there's something wrong there?

#21 - 10/23/2015 06:02 AM - Sergey Ivanovskiy

- File font_issue_1.txt added

Constantin, please review this font fix, it is due to incorrect provided arguments in js functions calls. We need a hot fix to 1811s. It also fixes this issue.

#22 - 10/23/2015 06:11 AM - Constantin Asofiei

Sergey Ivanovskiy wrote:

Constantin, please review this font fix, it is due to incorrect provided arguments in js functions calls. We need a hot fix to 1811s. It also fixes this

issue.

 

I;m OK with the changes, please commit the fix to 1811s.

#23 - 10/23/2015 06:21 AM - Sergey Ivanovskiy

Committed revision 11029 fixes the broken alarm dialog layout.

#24 - 10/23/2015 08:40 AM - Greg Shah

- Status changed from New to Closed
The broken mouse processing will be worked in #2776.  The space in fill-in issue will be worked in #2777.

#25 - 11/10/2015 05:09 AM - Greg Shah

- % Done changed from 0 to 100

#26 - 11/16/2016 12:12 PM - Greg Shah

- Target version changed from Milestone 12 to GUI Support for a Complex ADM2 App

Files

simpler_alert_box_broken_in_p2j_web_gui_20151022.png 3.98 KB 10/22/2015 Greg Shah

font_issue_1.txt 3.52 KB 10/23/2015 Sergey Ivanovskiy
